package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationDataTargetfield;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationtask.DesensitizationDatamapping;
import com.chenyang.nse.bussiness.entity.vo.DataGridVO;
import java.math.BigInteger;
import java.util.List;
import java.util.Map;

public interface DesensitizationDataMappingService {
   List<Map<String, String>> getDatamappingInfo(String sourcesystemtype, String targetsystemtype);

   List<Map<String, String>> getDatamappingInfo1(PageInfo pageinfo, String sourcesystemtype, String targetsystemtype);

   BigInteger getDatamappingCount(String sourcesystemtype, String targetsystemtype);

   DataGridVO<DesensitizationDatamapping> selectDatamappingInfo(PageInfo pageinfo, String sourcesystemtype, String targetsystemtype);

   List<DesensitizationDataTargetfield> getTargetFieldByType(String datasystemtype);

   void modifyDataInfo(Map<String, String> map);

   void deletedatainfo(String mappingid, String sourceid);

   void insertDataInfo(Map<String, String> map);

   void removedatainfo(String sourcefieldid);

   List<Map<String, String>> getPwctypeBySourceType(String sourcesystemtype, String targetsystemtype, String sourcefieldname);

   List<Map<String, String>> getPwctypeBySourcelist(String sourcesystemtype, String targetsystemtype);
}
